//---------------------------------------------------------------------------
#ifndef IpAdrH
#define IpAdrH
//---------------------------------------------------------------------------
#pragma pack(push,1)       //   BYTE
//---------------------------------------------------------------------------
struct IPADR
{
    union
    {
        // - 4 
		unsigned char Byte[4];
        unsigned long AsLong;
    };
    //
	IPADR(){Clear();}
    //  char *
    IPADR(char * str);
    //  String
	IPADR(String  s);
    //
    void Clear(void){ZeroMemory(Byte,sizeof(IPADR));}
    //   String
	operator String();
	//   char *
    operator char * (){return Byte;}
    //  
    bool operator == (IPADR ip);
    //  
    bool operator != (IPADR ip);
    //  
    IPADR operator &(IPADR ip);
	//   IP  
	bool ExtractValidIP(const char * ipstr);
};
//---------------------------------------------------------------------------
struct MACADR
{
    // - 6 
    unsigned char Byte[6];
    //
    MACADR(){Clear();}
    //  char *
    MACADR(char * str);
    //  String
    MACADR(String  s);
    //
    void Clear(void){ZeroMemory(Byte,sizeof(MACADR));}
    //   String
    operator String();
    //   char *
    operator char * (){return Byte;}
    //  
    bool operator == (MACADR ip);
    //  
    bool operator != (MACADR ip);
};
//---------------------------------------------------------------------------
#pragma pack(pop)
//---------------------------------------------------------------------------
#endif
