//---------------------------------------------------------------------------
#ifndef UMainH
#define UMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
//   
typedef int  (*STARTFIND)(void);
typedef void (*STOPFIND)(void);
typedef int  (*GETFINDCOUNT)(void);
typedef int  (*GETKPU)(int index, void * kpu);
typedef void (*GETERROR)(char * error,int bufsize);
typedef int  (*SETKPU)(int index, void * kpu);
typedef void (*ENABLELOG)(void);
//---------------------------------------------------------------------------
#define SI_MAX  100
//---------------------------------------------------------------------------
class TFormTest : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TButton *ButtonLoad;
    TPanel *PanelFind;
    TButton *ButtonStartFind;
    TButton *ButtonKpu;
    TListBox *ListBoxKpu;
    TTimer *Timer1;
    TButton *ButtonStopFind;
    TStatusBar *StatusBar1;
    TButton *ButtonErr;
    TPanel *Panel2;
    TEdit *EditIp;
    TLabel *Label1;
    TLabel *Label2;
    TEdit *EditMask;
    TEdit *EditGateWay;
    TLabel *Label3;
    TCheckBox *CheckBoxDHCP;
    TLabel *LabelName;
    TButton *ButtonChange;
    TLabel *LabelResult;
    void __fastcall ButtonLoadClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall ButtonStartFindClick(TObject *Sender);
    void __fastcall ButtonKpuClick(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall ButtonStopFindClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall ButtonErrClick(TObject *Sender);
    void __fastcall ListBoxKpuClick(TObject *Sender);
    void __fastcall ButtonChangeClick(TObject *Sender);
private:	// User declarations
    HINSTANCE Library;
    bool OpenLibrary(void);
    void CloseLibrary(void);

    STARTFIND       StartFind;
    STOPFIND        StopFind;
    GETFINDCOUNT    GetFindCount;
    GETKPU          GetKpu;
    GETERROR        GetError;
    ENABLELOG       EnableLog;
    SETKPU          SetKpu;

    bool InFind;
    UINT StartTick;

    int KpuCount;
    SAT_FIND_INFO_BPDD Si[SI_MAX];
    int EditIndex;


public:		// User declarations
    __fastcall TFormTest(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormTest *FormTest;
//---------------------------------------------------------------------------
#endif
